// Programme simple, mais dtaill, pour apprendre la programmation en C sur TI-92+
// Pour me joindre : squale92@wanadoo.fr
// LES COMMENTAIRES SONT ECRITS EN VERT !!!
// Cre pour TI-GCClib version 2.0

#define OPTIMIZE_ROM_CALLS  // Optimisation de la vitesse
#define SAVE_SCREEN				  // Sauvegarde l'cran, pour le restituer  la fin du programme
#include <nostub.h>         // Dclar comme programme ne ncessitant pas de shell
#include <graph.h>          // Permet de supporter les graphiques
#include <kbd.h>            // Gre les pressions au clavier
#include <dialogs.h>        // Permet d'utiliser les boites de dialogue

int _ti92plus;              // Compile pour la 92+ => Cre un fichier .9XZ


void _main(void)            // Dbut de la fonction principale
{
int caract=2;
// Cre la variable de taille des caractres, et lui affecte la valeur 2
int keya=0;
// Cre la variable de touche prsse au clavier, et lui affecte la valeur 0
int xxa=0;
// Cre la variable de position selon x, et lui affecte la valeur 0
int yya=0;
// Cre la variable de positon selon y, et lui affecte la valeur 0
int attr=0;
// Cre la variable d'attribut du texte, et lui affecte la valeur 0

do
// Utiliser "do" avec "switch" permet de ne pas utiliser trop de "if", "else",...
{
	switch(keya){   // Examine la valeur de "keya"
	case 43:        // Si keya vaut 43 (touche + a t presse.)
	if (caract<3)   // Si la taille de la police est infrieure  3
	caract++;       // Ajoute 1  cette taille de police
	break;          // fin de ce cas
	
	case 45:        // Si la valeur de keya est 45 (touche - a t presse.)
	if (caract>1)   // Si la taille de police est suprieure  1
	caract--;       // Enlve 1  cette taille de police
	break;          // fin de ce cas
	
	case 340:       // Si keya vaut 340 (touche droite a t presse)
	if (xxa<188)    // Pour que le texte ne sorte pas de l'cran
	xxa+=5;         // Dplace le texte de 5 pixels vers la droite
	break;          // Fin de ce cas
	
	case 337:       // Si keya vaut 337 (touche gauche a t presse)
	if (xxa>1)      // Pour que le texte ne sorte pas de l'cran
	xxa-=5;         // Dplace le texte de 5 pixels vers la gauche
	break;          // Fin de ce cas
	
	case 344:       // Si keya vaut 344 (touche bas a t presse)
	if (yya<111)    // Pour que le texte ne sorte pas de l'cran
	yya+=5;         // Dplace le texte de 5 pixels vers le bas
	break;          // Fin de ce cas
	
	case 338:       // Si keya vaut 338 (touche haut a t presse)
	if (yya>1)      // Pour que le texte ne sorte pas de l'cran
	yya-=5;         // Dplace le texte de 5 pixels vers le haut
	break;          // Fin de ce cas
	
	case 268:       // Si keya vaut 268 (touche F1 a t presse)
	attr=0;         // affecte 0  l'attribut
	break;          // Fin de ce cas
	
	case 269:       // Si keya vaut 269
	attr=1;         // affecte 1  l'attribut
	break;          // Fin de ce cas
	
	}               // Fin de cette boucle "switch()"
	
	switch(caract){      // Attribue une valeur  la taille de police
	
	case 1:              // Si on a choisi 1 comme taille de police
	FontSetSys(F_4x6);   // La police la + petite est slectionne
	break;               // Fin de ce cas
	
	case 2:              // Si on a choisi 2 comme taille de police
	FontSetSys(F_6x8);   // La police de taille moyenne est slectionne
	break;               // Fin de ce cas
	
	case 3:              // Si on a choisi 3 comme taille de police
	FontSetSys(F_8x10);  // La police la + grande est slectionne
	break;               // Fin de ce cas
	}                    // Fin de cette boucle "switch()"
	
	ClrScr();            // Efface l'cran
	if (attr==0) DrawStr(xxa,yya,"Squale",A_NORMAL);
// Si l'attribut est 0, crit "Squale" en noir  la position (xxa,yya)
	if (attr==1) DrawStr(xxa,yya,"Squale",A_REVERSE);
// Si l'attribut est 1, crit "Squale" en blanc sur noir  la position (xxa,yya)
	keya=ngetchx();
// Attend qu'une touche soit presse, et stocke sa valeur dans keyq
	
	}                    // Fin de la boucle "do{}"
	
	while(keya != 264);  
// Tout ce qui a t dcrit prcdemment est valable jusqu' ce qu'on appuie sur ESC
	
	ClrScr();            // Efface l'cran
	DlgMessage("Au revoir !","En esprant tre utile...   squale92@wanadoo.fr",BT_OK,BT_NONE);
	// Affiche une boite de dialogue donnant mon adresse
}                      // Fin de la fonction principale
// FIN DU PROGRAMME



// NOTES DIVERSES :
		// !=        Signifie "diffrent de"
		// var=val   Attribue la valeur val  la variable var
		// var==val  Dans les fonctions if(), si var a pour valeur val
		// Il exise 3 tailles de police : F-4x6, F-6x8, et F-8x10
				// (Le "-" entre F et les 2 valeurs est en fait un underscore
		// Ce programme n'est compil que pour la TI-92+, car les codes des touches
				// de dplacements sont diffrents pour la TI-89

